### Method

# Gimp Image autocrop_selected_layers

#### Declaration [src]

    gboolean
    gimp_image_autocrop_selected_layers (
      GimpImage* image,
      GimpDrawable* drawable
    )

#### Description [src]

Crop the selected layers based on empty borders of the input drawable

Crop the selected layers of the input `image` based on empty borders of the input `drawable`. The input drawable serves as a base for detecting cropping extents (transparency or background color), and is not necessarily among the cropped layers (the current selected layers). With a `NULL` input drawable, the image itself will serve as a base for detecting cropping extents.

#### Parameters

`drawable`

  Type: `GimpDrawable`

  Input drawable.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

TRUE on success.